package javax.naming.ldap;

import java.io.IOException;
import com.sun.jndi.ldap.BerDecoder;

public final class PagedResultsResponseControl extends BasicControl
{
    public static final String OID = "1.2.840.113556.1.4.319";
    private static final long serialVersionUID = -8819778744844514666L;
    private int resultSize;
    private byte[] cookie;
    
    public PagedResultsResponseControl(String s, boolean b, byte[] buf) throws IOException {
        super(s, b, buf);
        BerDecoder berDecoder = new BerDecoder(buf, 0, buf.length);
        berDecoder.parseSeq((int[])null);
        this.resultSize = berDecoder.parseInt();
        this.cookie = berDecoder.parseOctetString(4, (int[])null);
    }
    
    public int getResultSize() {
        return this.resultSize;
    }
    
    public byte[] getCookie() {
        if (this.cookie.length == 0) {
            return null;
        }
        return this.cookie;
    }
}
